import CustomClient from '../../clients/types/customClient';
import ChannelBase from '../channelBase';

class CustomChannel extends ChannelBase {
  clients: CustomClient[] = [];

  constructor(id: string, custom: any) {
    super(id);

    if (custom) {
      this.broadcastConditions = custom.broadcastConditions;
      this.channelContent = custom.channelContent;
      this.explicitRemoval = custom.explicitRemoval;
    }
  }
}

export default CustomChannel;
